Index: trunk/lib/FlairSimulator/src/unexported/AnimPoursuite.h
===================================================================
--- trunk/lib/FlairSimulator/src/unexported/AnimPoursuite.h	(revision 10)
+++ trunk/lib/FlairSimulator/src/unexported/AnimPoursuite.h	(revision 15)
@@ -22,39 +22,35 @@
 #include <vector3d.h>
 
-namespace flair
-{
-namespace simulator
-{
+namespace flair {
+namespace simulator {
 
-    class AnimPoursuite : public irr::scene::ISceneNodeAnimator
-    {
-        public:
-            AnimPoursuite(const irr::scene::ISceneNode* parent,float rotateSpeed = -500.0f, float zoomSpeed = 4.0f);
-            ~AnimPoursuite();
+class AnimPoursuite : public irr::scene::ISceneNodeAnimator {
+public:
+  AnimPoursuite(const irr::scene::ISceneNode *parent,
+                float rotateSpeed = -500.0f, float zoomSpeed = 4.0f);
+  ~AnimPoursuite();
 
-            void animateNode(irr::scene::ISceneNode* node, irr::u32 timeMs);
-            ISceneNodeAnimator* createClone(irr::scene::ISceneNode* node,irr::scene::ISceneManager* newManager=0);
-            bool MouseMoved(const irr::SEvent& event,irr::core::position2df MousePos);
-            void setPositionOffset(irr::core::vector3df newpos);
-            void setTargetOffset(irr::core::vector3df newpos);
+  void animateNode(irr::scene::ISceneNode *node, irr::u32 timeMs);
+  ISceneNodeAnimator *createClone(irr::scene::ISceneNode *node,
+                                  irr::scene::ISceneManager *newManager = 0);
+  bool MouseMoved(const irr::SEvent &event, irr::core::position2df MousePos);
+  void setPositionOffset(irr::core::vector3df newpos);
+  void setTargetOffset(irr::core::vector3df newpos);
 
-        private:
-            virtual bool isEventReceiverEnabled(void) const
-            {
-                return true;
-            }
+private:
+  virtual bool isEventReceiverEnabled(void) const { return true; }
 
-            irr::core::vector3df pos_offset,target_offset;
-            bool LMouseKey;
-            irr::core::position2df RotateStart;
-            irr::core::position2df MousePos;
-            const irr::scene::ISceneNode* parent;
-            bool Rotating;
-            float RotY,RotZ;
-            float rotateSpeed;
-            float zoomSpeed;
-            float currentZoom;
-            float sat(float value);
-    };
+  irr::core::vector3df pos_offset, target_offset;
+  bool LMouseKey;
+  irr::core::position2df RotateStart;
+  irr::core::position2df MousePos;
+  const irr::scene::ISceneNode *parent;
+  bool Rotating;
+  float RotY, RotZ;
+  float rotateSpeed;
+  float zoomSpeed;
+  float currentZoom;
+  float sat(float value);
+};
 
 } // end namespace simulator
Index: trunk/lib/FlairSimulator/src/unexported/GenericObject.h
===================================================================
--- trunk/lib/FlairSimulator/src/unexported/GenericObject.h	(revision 10)
+++ trunk/lib/FlairSimulator/src/unexported/GenericObject.h	(revision 15)
@@ -35,19 +35,16 @@
 #include <Vector3D.h>
 
-
 #include <aabbox3d.h>
 #include <IMeshSceneNode.h>
 
-namespace irr
-{
-    class SEvent;
-    namespace scene
-    {
-        class IMesh;
-        class ISceneManager;
-        class ITriangleSelector;
-        class IMetaTriangleSelector;
-        class ISceneNodeAnimatorCollisionResponse;
-    }
+namespace irr {
+class SEvent;
+namespace scene {
+class IMesh;
+class ISceneManager;
+class ITriangleSelector;
+class IMetaTriangleSelector;
+class ISceneNodeAnimatorCollisionResponse;
+}
 }
 
@@ -55,60 +52,53 @@
 class Simulator_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 class ConditionVariable;
 }
-namespace simulator
-{
+namespace simulator {
 class Simulator;
 class AnimPoursuite;
 
-class GenericObject : public irr::scene::IMeshSceneNode
-{
-    friend class ::Simulator_impl;
+class GenericObject : public irr::scene::IMeshSceneNode {
+  friend class ::Simulator_impl;
 
 public:
-    GenericObject(Simulator* parent,std::string name, irr::scene::ISceneManager* sceneManager);
-    virtual ~GenericObject();
+  GenericObject(Simulator *parent, std::string name,
+                irr::scene::ISceneManager *sceneManager);
+  virtual ~GenericObject();
 
-    //FROM IMPL
-    irr::scene::ITriangleSelector* TriangleSelector(void);
-    irr::core::aabbox3d<irr::f32> box;
-    //END FROM IMPL
+  // FROM IMPL
+  irr::scene::ITriangleSelector *TriangleSelector(void);
+  irr::core::aabbox3d<irr::f32> box;
+  // END FROM IMPL
 
-    irr::scene::ISceneNode* getSceneNode();
-    virtual const irr::core::aabbox3d<irr::f32>& getBoundingBox(void) const
-    {
-        return box;
-    }
+  irr::scene::ISceneNode *getSceneNode();
+  virtual const irr::core::aabbox3d<irr::f32> &getBoundingBox(void) const {
+    return box;
+  }
 
-    void setPosition(irr::core::vector3df position);
-    void setScale(float value);
-    void setScale(irr::core::vector3df scale);
-    void setRotation(irr::core::vector3df rotation);
-    void OnRegisterSceneNode(void);
-    void setMesh(irr::scene::IMesh* mesh);
-    irr::scene::IMesh* getMesh(void);
-    void render(void);
-    virtual void setReadOnlyMaterials(bool readonly){};
-    virtual bool isReadOnlyMaterials(void) const
-    {
-        return false;
-    }
-    virtual irr::scene::IShadowVolumeSceneNode* addShadowVolumeSceneNode(const irr::scene::IMesh* shadowMesh=0,
-            irr::s32 id=-1, bool zfailmethod=true, irr::f32 infinity=1000.0f)
-    {
-        return NULL;
-    }
+  void setPosition(irr::core::vector3df position);
+  void setScale(float value);
+  void setScale(irr::core::vector3df scale);
+  void setRotation(irr::core::vector3df rotation);
+  void OnRegisterSceneNode(void);
+  void setMesh(irr::scene::IMesh *mesh);
+  irr::scene::IMesh *getMesh(void);
+  void render(void);
+  virtual void setReadOnlyMaterials(bool readonly){};
+  virtual bool isReadOnlyMaterials(void) const { return false; }
+  virtual irr::scene::IShadowVolumeSceneNode *
+  addShadowVolumeSceneNode(const irr::scene::IMesh *shadowMesh = 0,
+                           irr::s32 id = -1, bool zfailmethod = true,
+                           irr::f32 infinity = 1000.0f) {
+    return NULL;
+  }
 
 private:
-    void UpdateFrom(core::io_data *data) {};
-    irr::scene::IMesh *mesh;
-    irr::scene::ITriangleSelector* selector;
-    flair::core::ConditionVariable* cond;
-    irr::video::SMaterial Material;
-
+  void UpdateFrom(core::io_data *data){};
+  irr::scene::IMesh *mesh;
+  irr::scene::ITriangleSelector *selector;
+  flair::core::ConditionVariable *cond;
+  irr::video::SMaterial Material;
 };
 } // end namespace simulator
Index: trunk/lib/FlairSimulator/src/unexported/Gui_impl.h
===================================================================
--- trunk/lib/FlairSimulator/src/unexported/Gui_impl.h	(revision 10)
+++ trunk/lib/FlairSimulator/src/unexported/Gui_impl.h	(revision 15)
@@ -24,66 +24,64 @@
 #include <vector3d.h>
 
-namespace irr
-{
-    class IrrlichtDevice;
-    namespace scene
-    {
-        class ISceneManager;
-        class IMeshSceneNode;
-        class ITriangleSelector;
-    }
-    namespace video
-    {
-        class IVideoDriver;
-    }
-    namespace gui
-    {
-        class IGUIFont;
-        class IGUIEnvironment;
-    }
+namespace irr {
+class IrrlichtDevice;
+namespace scene {
+class ISceneManager;
+class IMeshSceneNode;
+class ITriangleSelector;
+}
+namespace video {
+class IVideoDriver;
+}
+namespace gui {
+class IGUIFont;
+class IGUIEnvironment;
+}
 }
 
-namespace flair
-{
-    namespace core
-    {
-        class Object;
-    }
-    namespace simulator
-    {
-        class Model;
-        class GenericObject;
-        class Gui;
-    }
+namespace flair {
+namespace core {
+class Object;
+}
+namespace simulator {
+class Model;
+class GenericObject;
+class Gui;
+}
 }
 
 class MyEventReceiver;
 
-class Gui_impl
-{
-    public:
-        Gui_impl(flair::simulator::Gui* self,int app_width, int app_height,int scene_width, int scene_height,std::string media_path,irr::video::E_DRIVER_TYPE driver_type=irr::video::EDT_OPENGL);
-        ~Gui_impl();
-        void RunGui(std::vector<flair::simulator::Model*> modeles,std::vector<flair::simulator::GenericObject*> objects);
-        void setMesh(std::string file,irr::core::vector3df position = irr::core::vector3df(0,0,0),irr::core::vector3df rotation= irr::core::vector3df(0,0,0),irr::core::vector3df scale= irr::core::vector3df(1,1,1));
+class Gui_impl {
+public:
+  Gui_impl(flair::simulator::Gui *self, int app_width, int app_height,
+           int scene_width, int scene_height, std::string media_path,
+           irr::video::E_DRIVER_TYPE driver_type = irr::video::EDT_OPENGL);
+  ~Gui_impl();
+  void RunGui(std::vector<flair::simulator::Model *> modeles,
+              std::vector<flair::simulator::GenericObject *> objects);
+  void setMesh(std::string file,
+               irr::core::vector3df position = irr::core::vector3df(0, 0, 0),
+               irr::core::vector3df rotation = irr::core::vector3df(0, 0, 0),
+               irr::core::vector3df scale = irr::core::vector3df(1, 1, 1));
 
-        irr::scene::IMeshSceneNode* node;
-        irr::IrrlichtDevice *device;
-        std::string media_path;
-        irr::video::IVideoDriver* driver;
-        irr::scene::ISceneManager* smgr;
-        int scene_width,scene_height;
+  irr::scene::IMeshSceneNode *node;
+  irr::IrrlichtDevice *device;
+  std::string media_path;
+  irr::video::IVideoDriver *driver;
+  irr::scene::ISceneManager *smgr;
+  int scene_width, scene_height;
 
-    private:
-        MyEventReceiver *receiver;
-        irr::scene::ITriangleSelector* selector;
-        irr::gui::IGUIFont* font;
-        irr::gui::IGUIEnvironment* env;
-        void setWindowCaption(flair::core::Object* object, int fps);
-        void takeScreenshot(void);
-        hdfile_t *dbtFile_r,*dbtFile_w;
-        size_t dbtSize(std::vector<flair::simulator::Model*> modeles);
-        char* dbtbuf;
-        flair::simulator::Gui *self;
+private:
+  MyEventReceiver *receiver;
+  irr::scene::ITriangleSelector *selector;
+  irr::gui::IGUIFont *font;
+  irr::gui::IGUIEnvironment *env;
+  void setWindowCaption(flair::core::Object *object, int fps);
+  void takeScreenshot(void);
+  hdfile_t *dbtFile_r, *dbtFile_w;
+  size_t dbtSize(std::vector<flair::simulator::Model *> modeles);
+  char *dbtbuf;
+  flair::simulator::Gui *self;
 };
 
Index: trunk/lib/FlairSimulator/src/unexported/Model_impl.h
===================================================================
--- trunk/lib/FlairSimulator/src/unexported/Model_impl.h	(revision 10)
+++ trunk/lib/FlairSimulator/src/unexported/Model_impl.h	(revision 15)
@@ -23,25 +23,21 @@
 #include "Quaternion.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class Mutex;
-        class ConditionVariable;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class CheckBox;
-        class DoubleSpinBox;
-        class SpinBox;
-        class Vector3DSpinBox;
-    }
-    namespace simulator
-    {
-        class Simulator;
-        class AnimPoursuite;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class Mutex;
+class ConditionVariable;
+}
+namespace gui {
+class TabWidget;
+class CheckBox;
+class DoubleSpinBox;
+class SpinBox;
+class Vector3DSpinBox;
+}
+namespace simulator {
+class Simulator;
+class AnimPoursuite;
+}
 }
 
@@ -50,83 +46,87 @@
 #include <IMeshSceneNode.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class ISceneManager;
-        class ITriangleSelector;
-        class IMetaTriangleSelector;
-        class ISceneNodeAnimatorCollisionResponse;
-        class ICameraSceneNode;
-    }
+namespace irr {
+namespace scene {
+class ISceneManager;
+class ITriangleSelector;
+class IMetaTriangleSelector;
+class ISceneNodeAnimatorCollisionResponse;
+class ICameraSceneNode;
+}
 }
 #endif
 
 #ifdef GL
-class Model_impl : public irr::scene::ISceneNode,public flair::core::Thread,private vrpn_Tracker
+class Model_impl : public irr::scene::ISceneNode,
+                   public flair::core::Thread,
+                   private vrpn_Tracker
 #else
-class Model_impl : public flair::core::Thread, private vrpn_Tracker
+class Model_impl : public flair::core::Thread,
+                   private vrpn_Tracker
 #endif
-{
-    public:
+                   {
+public:
 #ifdef GL
-        Model_impl(flair::simulator::Model* self,std::string name,irr::scene::ISceneManager* scenemanager,vrpn_Connection_IP* vrpn);
+  Model_impl(flair::simulator::Model *self, std::string name,
+             irr::scene::ISceneManager *scenemanager, vrpn_Connection_IP *vrpn);
 #else
-        Model_impl(flair::simulator::Model* self,std::string name,vrpn_Connection_IP* vrpn);
+  Model_impl(flair::simulator::Model *self, std::string name,
+             vrpn_Connection_IP *vrpn);
 #endif
-        ~Model_impl();
+  ~Model_impl();
 
 #ifdef GL
-        void OnRegisterSceneNode(void);
-        void render(void);
-        void Draw(void){printf("CA MARCHE PAS PUNAISE\r\n");ExtraDraw();};
-        void ExtraDraw(void){printf("nope\r\n");};
+  void OnRegisterSceneNode(void);
+  void render(void);
+  void Draw(void) {
+    printf("CA MARCHE PAS PUNAISE\r\n");
+    ExtraDraw();
+  };
+  void ExtraDraw(void) { printf("nope\r\n"); };
 
-        const irr::core::aabbox3d<irr::f32>& getBoundingBox(void) const
-        {
-            return box;
-        }
-        void UpdatePos(void);
-        void CheckCollision(void);
-        irr::scene::ITriangleSelector* TriangleSelector(void);
-        irr::scene::IMetaTriangleSelector* MetaTriangleSelector(void);
-        irr::core::aabbox3d<irr::f32> box;
-        void SynchronizationPoint();
-        irr::scene::ICameraSceneNode* camera;
-        flair::simulator::AnimPoursuite* animator;
-        irr::scene::ITriangleSelector* selector;
+  const irr::core::aabbox3d<irr::f32> &getBoundingBox(void) const {
+    return box;
+  }
+  void UpdatePos(void);
+  void CheckCollision(void);
+  irr::scene::ITriangleSelector *TriangleSelector(void);
+  irr::scene::IMetaTriangleSelector *MetaTriangleSelector(void);
+  irr::core::aabbox3d<irr::f32> box;
+  void SynchronizationPoint();
+  irr::scene::ICameraSceneNode *camera;
+  flair::simulator::AnimPoursuite *animator;
+  irr::scene::ITriangleSelector *selector;
 #endif
-        void mainloop(void);
+  void mainloop(void);
 
-        flair::gui::TabWidget *tabwidget;
-        flair::gui::DoubleSpinBox *dT;
+  flair::gui::TabWidget *tabwidget;
+  flair::gui::DoubleSpinBox *dT;
 
-    private:
-        flair::gui::Vector3DSpinBox* pos_init;
-        flair::gui::SpinBox *yaw_init;
-        flair::gui::CheckBox *enable_opti;
-        flair::simulator::Model* self;
-        flair::core::cvmatrix* output;
-        flair::core::Mutex *states_mutex;
+private:
+  flair::gui::Vector3DSpinBox *pos_init;
+  flair::gui::SpinBox *yaw_init;
+  flair::gui::CheckBox *enable_opti;
+  flair::simulator::Model *self;
+  flair::core::cvmatrix *output;
+  flair::core::Mutex *states_mutex;
 
-        struct timeval _timestamp;
-        void Run(void);
-        flair::core::Quaternion ComputeInitRotation(flair::core::Quaternion quat_in);
+  struct timeval _timestamp;
+  void Run(void);
+  flair::core::Quaternion ComputeInitRotation(flair::core::Quaternion quat_in);
 #ifdef GL
-        void CollisionHandler(void);
+  void CollisionHandler(void);
 
-        irr::scene::IMetaTriangleSelector* meta_selector;
-        irr::scene::ISceneNodeAnimatorCollisionResponse* anim;
+  irr::scene::IMetaTriangleSelector *meta_selector;
+  irr::scene::ISceneNodeAnimatorCollisionResponse *anim;
 
-        bool position_init;
+  bool position_init;
 
-        flair::core::ConditionVariable* cond;
-        int sync_count;
+  flair::core::ConditionVariable *cond;
+  int sync_count;
 
-        flair::core::Mutex *collision_mutex;
-        bool collision_occured;
-        flair::core::Vector3D collision_point;
+  flair::core::Mutex *collision_mutex;
+  bool collision_occured;
+  flair::core::Vector3D collision_point;
 #endif
-
 };
 
Index: trunk/lib/FlairSimulator/src/unexported/Simulator_impl.h
===================================================================
--- trunk/lib/FlairSimulator/src/unexported/Simulator_impl.h	(revision 10)
+++ trunk/lib/FlairSimulator/src/unexported/Simulator_impl.h	(revision 15)
@@ -21,33 +21,30 @@
 #include <Thread.h>
 
-
-namespace flair
-{
-    namespace simulator
-    {
-        class Simulator;
-        class Model;
-        class GenericObject;
-    }
+namespace flair {
+namespace simulator {
+class Simulator;
+class Model;
+class GenericObject;
+}
 }
 
-class Simulator_impl: public vrpn_Connection_IP, private flair::core::Thread
-{
-    friend class flair::simulator::Model;
-    friend class flair::simulator::GenericObject;
+class Simulator_impl : public vrpn_Connection_IP, private flair::core::Thread {
+  friend class flair::simulator::Model;
+  friend class flair::simulator::GenericObject;
 
-    public:
-        Simulator_impl(flair::simulator::Simulator* self,int optitrack_mstime=10,float yaw_deg=30);
-        ~Simulator_impl();
+public:
+  Simulator_impl(flair::simulator::Simulator *self, int optitrack_mstime = 10,
+                 float yaw_deg = 30);
+  ~Simulator_impl();
 
-        void RunSimu(void);
-        float yaw_rad;
+  void RunSimu(void);
+  float yaw_rad;
 
-    private:
-        void Run(void);
-        flair::simulator::Simulator* self;
-        std::vector<flair::simulator::Model*> models;
-        std::vector<flair::simulator::GenericObject*> objects;
-        int optitrack_mstime;
+private:
+  void Run(void);
+  flair::simulator::Simulator *self;
+  std::vector<flair::simulator::Model *> models;
+  std::vector<flair::simulator::GenericObject *> objects;
+  int optitrack_mstime;
 };
 
